/*=========================================================================

  Program:   ORFEO Toolbox
  Language:  C++
  Date:      $Date$
  Version:   $Revision$


  Copyright (c) Centre National d'Etudes Spatiales. All rights reserved.
  See OTBCopyright.txt for details.


     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notices for more information.

=========================================================================*/
#include "otbMonteverdiPixmaps.h"

namespace otb
{

/* XPM */
const char * vectorImage_xpm[] = {
  "20 20 73 1",
  "        c None",
  ".       c #4129BC",
  "+       c #3A1DCB",
  "@       c #3A1DCC",
  "#       c #3D21C7",
  "$       c #3611F0",
  "%       c #2A00FF",
  "&       c #5B696A",
  "*       c #3511F0",
  "=       c #4CBF30",
  "-       c #52B92D",
  ";       c #3510EF",
  ">       c #4ABD2E",
  ",       c #6B9E25",
  "'       c #A92F2F",
  ")       c #3410EF",
  "!       c #48BB2C",
  "~       c #75961F",
  "{       c #DE2727",
  "]       c #340FEE",
  "^       c #46B92A",
  "/       c #74951D",
  "(       c #DD2626",
  "_       c #45B829",
  ":       c #72921B",
  "<       c #DC2525",
  "[       c #330EED",
  "}       c #43B727",
  "|       c #70911A",
  "1       c #DB2424",
  "2       c #42B526",
  "3       c #6F9018",
  "4       c #DA2323",
  "5       c #320EED",
  "6       c #40B424",
  "7       c #6D8E17",
  "8       c #D92222",
  "9       c #320DEC",
  "0       c #40B324",
  "a       c #6C8D15",
  "b       c #D82121",
  "c       c #310DEC",
  "d       c #3FB323",
  "e       c #6B8C14",
  "f       c #D72020",
  "g       c #230AA0",
  "h       c #2206B5",
  "i       c #2207B4",
  "j       c #2609B8",
  "k       c #2509B8",
  "l       c #2508B8",
  "m       c #2A0FB1",
  "n       c #3DC014",
  "o       c #6C8B16",
  "p       c #D61F1F",
  "q       c #3CB213",
  "r       c #42FF00",
  "s       c #42FF01",
  "t       c #678511",
  "u       c #D51E1E",
  "v       c #406A16",
  "w       c #874404",
  "x       c #884707",
  "y       c #894809",
  "z       c #894808",
  "A       c #884808",
  "B       c #B82113",
  "C       c #D41D1D",
  "D       c #B30A0A",
  "E       c #B50B0B",
  "F       c #B50D0D",
  "G       c #B50F0F",
  "H       c #821717",
  "                    ",
  "                    ",
  "   .++++++++@#      ",
  "   $%%%%%%%%%%&     ",
  "   *%%%%%%%%%%=-    ",
  "   ;%%%%%%%%%%>,'   ",
  "   )%%%%%%%%%%!~{   ",
  "   ]%%%%%%%%%%^/(   ",
  "   ]%%%%%%%%%%_:<   ",
  "   [%%%%%%%%%%}|1   ",
  "   [%%%%%%%%%%234   ",
  "   5%%%%%%%%%%678   ",
  "   9%%%%%%%%%%0ab   ",
  "   c%%%%%%%%%%def   ",
  "   ghiijkklllmnop   ",
  "    qrrrrrrrrsstu   ",
  "     vwwxyyzzzABC   ",
  "      DEEEEEFGEEH   ",
  "                    ",
  "                    "
  };

/* XPM */
const char * scalarImage_xpm[] = {
  "20 20 25 1",
  "        c None",
  ".       c #999999",
  "+       c #AFAFAF",
  "@       c #B0B0B0",
  "#       c #8F8F8F",
  "$       c #B3B3B3",
  "%       c #D4D4D4",
  "&       c #B1B1B1",
  "*       c #AEAEAE",
  "=       c #ACACAC",
  "-       c #ADADAD",
  ";       c #AAAAAA",
  ">       c #A9A9A9",
  ",       c #ABABAB",
  "'       c #A7A7A7",
  ")       c #A6A6A6",
  "!       c #A8A8A8",
  "~       c #A5A5A5",
  "{       c #A4A4A4",
  "]       c #A3A3A3",
  "^       c #757575",
  "/       c #979797",
  "(       c #969996",
  "_       c #9A9A9A",
  ":       c #767776",
  "                    ",
  "                    ",
  "                    ",
  "                    ",
  "    .+++++++++@#    ",
  "    $%%%%%%%%%%&    ",
  "    &%%%%%%%%%%@    ",
  "    @%%%%%%%%%%*    ",
  "    +%%%%%%%%%%=    ",
  "    -%%%%%%%%%%;    ",
  "    =%%%%%%%%%%>    ",
  "    ,%%%%%%%%%%'    ",
  "    >%%%%%%%%%%)    ",
  "    !%%%%%%%%%%~    ",
  "    '%%%%%%%%%%{    ",
  "    )%%%%%%%%%%]    ",
  "    ^/((.______:    ",
  "                    ",
  "                    ",
  "                    "
  };

/* XPM */
const char * vectorData_xpm[] = {
  "20 20 140 2",
  "         c None",
  ".        c #B4B4B4",
  "+        c #DEDEDE",
  "@        c #DDDDDD",
  "#        c #DCDCDC",
  "$        c #DBDBDB",
  "%        c #DADADA",
  "&        c #D9D9D9",
  "*        c #D8D8D8",
  "=        c #D7D7D7",
  "-        c #A1A1A1",
  ";        c #E9E9E9",
  ">        c #FDFDFD",
  ",        c #FCFCFC",
  "'        c #FBFBFB",
  ")        c #FAFAFA",
  "!        c #F8F8F8",
  "~        c #F7F7F7",
  "{        c #F6F6F6",
  "]        c #F5F5F5",
  "^        c #F4F4F4",
  "/        c #F2F2F2",
  "(        c #F1F1F1",
  "_        c #F0F0F0",
  ":        c #EFEFEF",
  "<        c #EEEEEE",
  "[        c #D3D3D3",
  "}        c #E8E8E8",
  "|        c #EEE5E5",
  "1        c #BD8B8B",
  "2        c #ECECEC",
  "3        c #D2D2D2",
  "4        c #E7E7E7",
  "5        c #D0AEAE",
  "6        c #EAE6E6",
  "7        c #EBEBEB",
  "8        c #D1D1D1",
  "9        c #E6E6E6",
  "0        c #D5B3B3",
  "a        c #E7C6C6",
  "b        c #EFDEDE",
  "c        c #EAEAEA",
  "d        c #CFCFCF",
  "e        c #E5E5E5",
  "f        c #DDBFBF",
  "g        c #E48484",
  "h        c #FA7C7C",
  "i        c #F75858",
  "j        c #E9A3A3",
  "k        c #CECECE",
  "l        c #E4E4E4",
  "m        c #E7DADA",
  "n        c #D08F8F",
  "o        c #FE9A9A",
  "p        c #FF7979",
  "q        c #FF5858",
  "r        c #E95A5A",
  "s        c #CDCDCD",
  "t        c #E3E3E3",
  "u        c #F5F1F1",
  "v        c #EED3D3",
  "w        c #D3B4B4",
  "x        c #EFE6E6",
  "y        c #ED7F7F",
  "z        c #FF6767",
  "A        c #FF4E4E",
  "B        c #E93F3F",
  "C        c #ECEBEB",
  "D        c #CBCBCB",
  "E        c #E2E2E2",
  "F        c #EFCCCC",
  "G        c #E78989",
  "H        c #E9E7E7",
  "I        c #DFA9A9",
  "J        c #FF5353",
  "K        c #FF3939",
  "L        c #FC2020",
  "M        c #DB7777",
  "N        c #E1D4D4",
  "O        c #E3DBDB",
  "P        c #CACACA",
  "Q        c #E1E1E1",
  "R        c #F2F1F1",
  "S        c #E5DADA",
  "T        c #E19D9D",
  "U        c #FF2D2D",
  "V        c #FF1E1E",
  "W        c #FF0B0B",
  "X        c #FF0101",
  "Y        c #F41616",
  "Z        c #F01919",
  "`        c #E33131",
  " .       c #DAB0B0",
  "..       c #C9C9C9",
  "+.       c #E0E0E0",
  "@.       c #E07979",
  "#.       c #FF0C0C",
  "$.       c #FF0505",
  "%.       c #FF0000",
  "&.       c #E04C4C",
  "*.       c #C8C8C8",
  "=.       c #DFDFDF",
  "-.       c #DE6666",
  ";.       c #FF0404",
  ">.       c #FF3131",
  ",.       c #DE6262",
  "'.       c #E0DFDF",
  ").       c #C7C7C7",
  "!.       c #DB6E6E",
  "~.       c #FF2A2A",
  "{.       c #FF6464",
  "].       c #CB8E8E",
  "^.       c #C5C5C5",
  "/.       c #D39696",
  "(.       c #FF0202",
  "_.       c #FF1010",
  ":.       c #FF3535",
  "<.       c #FF6666",
  "[.       c #D17E7E",
  "}.       c #D5CFCF",
  "|.       c #C4C4C4",
  "1.       c #DED7D7",
  "2.       c #DC3636",
  "3.       c #FF1D1D",
  "4.       c #FF3333",
  "5.       c #FD5151",
  "6.       c #E16868",
  "7.       c #C39292",
  "8.       c #D6D3D3",
  "9.       c #C3C3C3",
  "0.       c #D9D3D3",
  "a.       c #C79D9D",
  "b.       c #C69999",
  "c.       c #C3ACAC",
  "d.       c #D5D2D2",
  "e.       c #C2C2C2",
  "f.       c #C0C0C0",
  "g.       c #949494",
  "h.       c #C6C6C6",
  "i.       c #7C7C7C",
  "                                        ",
  "    . + @ # # # $ % % & & * * = = -     ",
  "    ; > , ' ) ! ~ { ] ^ / ( _ : < [     ",
  "    } , ' ) ! ~ | 1 ^ / ( _ : < 2 3     ",
  "    4 ' ) ! ~ { 5 6 / ( _ : < 2 7 8     ",
  "    9 ) ! ~ { 0 a b ( _ : < 2 7 c d     ",
  "    e ! ~ { f g h i j : < 2 7 c ; k     ",
  "    l ~ { m n o p q r < 2 7 c ; } s     ",
  "    t u v w x y z A B C 7 c ; } 9 D     ",
  "    E F G H ( I J K L M N O } 9 e P     ",
  "    Q R S : _ T U V W X Y Z `  .l ..    ",
  "    +./ ( _ : @.#.$.%.%.%.%.#.&.E *.    ",
  "    =.( _ : < -.%.%.%.%.%.;.>.,.'.).    ",
  "    @ _ : < 2 !.%.%.%.%.$.~.{.].Q ^.    ",
  "    # : < 2 7 /.;.%.(._.:.<.[.}.=.|.    ",
  "    $ < 2 7 c 1.2.3.4.5.6.7.8.=.+ 9.    ",
  "    $ 2 7 c ; } 0.a.b.c.d.Q =.+ @ e.    ",
  "    % 7 c ; } 4 e l t E Q =.+ @ # f.    ",
  "    g.....*.*.).).h.^.^.|.|.9.9.e.i.    ",
  "                                        "
  };

/* XPM */
const char * process_xpm[] = {
  "20 20 152 2",
  "         c None",
  ".        c #E8E8ED",
  "+        c #E9E9EF",
  "@        c #E9E9EE",
  "#        c #E6E6EC",
  "$        c #C5C5CE",
  "%        c #D0D2DE",
  "&        c #A9ADC0",
  "*        c #A8ADBF",
  "=        c #B3B7C8",
  "-        c #CBCDDA",
  ";        c #E5E6EF",
  ">        c #DBDCE5",
  ",        c #BBBDCD",
  "'        c #A3A8BC",
  ")        c #BEC2D2",
  "!        c #C0C4D4",
  "~        c #BEC1D2",
  "{        c #C2C5D5",
  "]        c #D7D8E3",
  "^        c #BCBECF",
  "/        c #C5C7D7",
  "(        c #9EA3BA",
  "_        c #B6BACE",
  ":        c #BABDCF",
  "<        c #B6BACC",
  "[        c #B9BDCE",
  "}        c #BABDD0",
  "|        c #B5B9CD",
  "1        c #B7BBCF",
  "2        c #9799AF",
  "3        c #ABAFC5",
  "4        c #AAAEC5",
  "5        c #B3B7CC",
  "6        c #878BA6",
  "7        c #3E4151",
  "8        c #535669",
  "9        c #969AB4",
  "0        c #B2B6CC",
  "a        c #9094B0",
  "b        c #969AB2",
  "c        c #ACB0C7",
  "d        c #A2A7C1",
  "e        c #A9ACC6",
  "f        c #B0B3CB",
  "g        c #9598AD",
  "h        c #9C9FB6",
  "i        c #A9ACC5",
  "j        c #969AB5",
  "k        c #9296B3",
  "l        c #888CA6",
  "m        c #646677",
  "n        c #999EBB",
  "o        c #A8ABC6",
  "p        c #BABDD4",
  "q        c #C6C7DA",
  "r        c #BFC0D5",
  "s        c #B6B8CF",
  "t        c #A2A5BF",
  "u        c #7F839E",
  "v        c #9398B3",
  "w        c #B1B3CC",
  "x        c #C3C5DA",
  "y        c #D4D4E7",
  "z        c #D6D6E8",
  "A        c #D3D3E5",
  "B        c #C0C2D7",
  "C        c #AAADC6",
  "D        c #727692",
  "E        c #676B83",
  "F        c #70748F",
  "G        c #A2A6BD",
  "H        c #CECFE0",
  "I        c #D5D6E8",
  "J        c #D5D5E7",
  "K        c #CDCEDF",
  "L        c #858AA3",
  "M        c #616681",
  "N        c #61647C",
  "O        c #9CA1B8",
  "P        c #D2D4E1",
  "Q        c #E2E3EE",
  "R        c #E1E2ED",
  "S        c #C8CBD9",
  "T        c #8A8FAA",
  "U        c #3E4053",
  "V        c #DEDEE5",
  "W        c #E5E6EB",
  "X        c #DFDFE5",
  "Y        c #54586F",
  "Z        c #52566E",
  "`        c #4B4E63",
  " .       c #696E89",
  "..       c #6C728E",
  "+.       c #3F4255",
  "@.       c #525770",
  "#.       c #C3C4CD",
  "$.       c #BDC0CF",
  "%.       c #C7C9D7",
  "&.       c #D2D4E0",
  "*.       c #DADCE7",
  "=.       c #D2D3DC",
  "-.       c #3D4156",
  ";.       c #454A61",
  ">.       c #C9CBD7",
  ",.       c #B8BBCD",
  "'.       c #E5E6F0",
  ").       c #E7E7F1",
  "!.       c #E8E8F2",
  "~.       c #E5E5F0",
  "{.       c #DADCE8",
  "].       c #B9BCCF",
  "^.       c #A5A7B9",
  "/.       c #C4C6D8",
  "(.       c #C9CBDC",
  "_.       c #74788E",
  ":.       c #5E6175",
  "<.       c #AFB2C8",
  "[.       c #C1C3D6",
  "}.       c #9DA0B8",
  "|.       c #A7ABC4",
  "1.       c #B4B7CF",
  "2.       c #B2B4CC",
  "3.       c #A2A5BC",
  "4.       c #A1A4BE",
  "5.       c #9397B3",
  "6.       c #7B7F97",
  "7.       c #7F829B",
  "8.       c #9CA0BD",
  "9.       c #A3A6C1",
  "0.       c #CBCCDE",
  "a.       c #D4D4E4",
  "b.       c #A6A9C2",
  "c.       c #8185A2",
  "d.       c #80839D",
  "e.       c #9A9EB7",
  "f.       c #9296B1",
  "g.       c #8E92AF",
  "h.       c #8E92AE",
  "i.       c #888CA9",
  "j.       c #979CB5",
  "k.       c #707592",
  "l.       c #61657B",
  "m.       c #9DA2B8",
  "n.       c #ACAFC3",
  "o.       c #AAAEC2",
  "p.       c #A1A5BB",
  "q.       c #6F748E",
  "r.       c #37394A",
  "s.       c #43475B",
  "t.       c #626985",
  "u.       c #3D4154",
  "                                        ",
  "        .   + @   #                     ",
  "      $ % & * = - ;                     ",
  "    > , ' ) ! ! ~ { ] ^                 ",
  "    / ( _ : < [ } | 1 2                 ",
  "    3 4 5 6 7 8 9 0 a b                 ",
  "  c d e f g     h i j k l               ",
  "  m n o p q     r s t u                 ",
  "    v w x y z z A B C D                 ",
  "  E F G H I z z J K L M                 ",
  "      N O P Q R S T U     V W   X       ",
  "      Y Z `  ...+.@.  #.$.%.&.*.=.      ",
  "            -.;.    >.,.'.).!.~.{.].    ",
  "                    ^./.(._.:.<.[.}.    ",
  "                  g |.1.2.    3.4.5.6.  ",
  "                    7.8.9.0.a.b.a c.    ",
  "                    d.e.f.g.h.i.j.k.    ",
  "                      l.m.n.o.p.q.      ",
  "                        r.s.t.  u.      ",
  "                                        "
  };

/* XPM */
const char * pleiades_xpm[] = {
"16 16 146 2",
"  	c None",
". 	c #FFFFFF",
"+ 	c #7E7E7E",
"@ 	c #3B3B3B",
"# 	c #3E3E3E",
"$ 	c #393939",
"% 	c #A0A0A0",
"& 	c #FEFEFE",
"* 	c #FDFDFD",
"= 	c #787878",
"- 	c #3A3A3A",
"; 	c #A2A2A3",
"> 	c #EFEFEF",
", 	c #878787",
"' 	c #2E2E2E",
") 	c #353535",
"! 	c #A5A5A6",
"~ 	c #F1F3F5",
"{ 	c #E5E1D9",
"] 	c #858176",
"^ 	c #8A8781",
"/ 	c #6E6C65",
"( 	c #6F6B64",
"_ 	c #D5D3D0",
": 	c #D5D1CC",
"< 	c #846C41",
"[ 	c #845708",
"} 	c #744D11",
"| 	c #392E0E",
"1 	c #3B2E0B",
"2 	c #A5800F",
"3 	c #A39F79",
"4 	c #F7FBFF",
"5 	c #E18D18",
"6 	c #C57713",
"7 	c #BF7514",
"8 	c #995F10",
"9 	c #895D10",
"0 	c #CDAF2D",
"a 	c #C2A737",
"b 	c #CDC06F",
"c 	c #E8E9E4",
"d 	c #A1957B",
"e 	c #D78514",
"f 	c #E68A17",
"g 	c #AC6710",
"h 	c #BF7A13",
"i 	c #9E8D1A",
"j 	c #DCC559",
"k 	c #C6AD34",
"l 	c #C1AB2C",
"m 	c #B9BBB8",
"n 	c #F9FAFB",
"o 	c #895808",
"p 	c #EE9719",
"q 	c #CA7A12",
"r 	c #B9710F",
"s 	c #B69C1D",
"t 	c #DCB721",
"u 	c #F7D51E",
"v 	c #C9B974",
"w 	c #CAC5AD",
"x 	c #A08D0E",
"y 	c #A4A5A7",
"z 	c #CDCDCE",
"A 	c #4B4936",
"B 	c #3F3608",
"C 	c #2C2A05",
"D 	c #505040",
"E 	c #ABA372",
"F 	c #D6AE1F",
"G 	c #EABE20",
"H 	c #FFE027",
"I 	c #DEC73D",
"J 	c #A8A583",
"K 	c #928C56",
"L 	c #363739",
"M 	c #424242",
"N 	c #D5D5D5",
"O 	c #565656",
"P 	c #2B2A23",
"Q 	c #3B3309",
"R 	c #1F1E18",
"S 	c #292A2D",
"T 	c #54524B",
"U 	c #6E5307",
"V 	c #867E1C",
"W 	c #918920",
"X 	c #ADA020",
"Y 	c #BDAF22",
"Z 	c #8C7F1F",
"` 	c #525357",
" .	c #383838",
"..	c #5B5B5B",
"+.	c #303032",
"@.	c #39310E",
"#.	c #15140A",
"$.	c #000000",
"%.	c #212121",
"&.	c #7C7D80",
"*.	c #BAA273",
"=.	c #786B17",
"-.	c #8E8923",
";.	c #A89420",
">.	c #AF9112",
",.	c #878775",
"'.	c #3D3D3D",
").	c #E1E1E1",
"!.	c #313131",
"~.	c #453A28",
"{.	c #161209",
"].	c #010101",
"^.	c #131313",
"/.	c #1B1B1B",
"(.	c #C3B69B",
"_.	c #695A0E",
":.	c #BD9D1D",
"<.	c #AF9119",
"[.	c #BAAA65",
"}.	c #BEBEBE",
"|.	c #404040",
"1.	c #7D7D7D",
"2.	c #4A4B4B",
"3.	c #73706B",
"4.	c #060606",
"5.	c #22211F",
"6.	c #77642B",
"7.	c #877416",
"8.	c #A38C1A",
"9.	c #AB9639",
"0.	c #F3F4F7",
"a.	c #F3F3F3",
"b.	c #F4F4F4",
"c.	c #EBEBEB",
"d.	c #616161",
"e.	c #A59D91",
"f.	c #3B2F15",
"g.	c #504D3A",
"h.	c #7D724D",
"i.	c #988B31",
"j.	c #C7B779",
"k.	c #E6E1D5",
"l.	c #EAEBEE",
"m.	c #BFBFBF",
"n.	c #DDDDDD",
"o.	c #F1F1F1",
". . . . . . . . + @ # $ % . . . ",
". . . . . . & * = - @ - ; & . . ",
". . . . . . . > , ' @ ) ! . . . ",
". . . . . . ~ { ] ^ / ( _ & . . ",
". . . . . : < [ } | 1 2 3 . . . ",
". . . . 4 5 6 7 8 9 0 a b c & . ",
". . . . d e f g h i j k l m . & ",
". . & n o p q r s t u v w x y . ",
"& . z A B C D E F G H I J K L M ",
"N O P Q R S T U V W X Y Z `  . .",
"..+.@.#.$.%.&.*.=.-.;.>.,.- '.# ",
").!.~.{.].^./.(._.:.<.[.. }.) |.",
". 1.2.3.$.4.5.6.7.8.9.0.a.b.c.d.",
"& & . . e.f.g.h.i.j.k.. . . & . ",
". . . . . l...m.. . & . . . . . ",
". . . . . . n.o.. . . . . . . . "};
} // end namespace otb
